<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\WebInicioRepository;

final class WebInicioService
{
    private WebInicioRepository $WebInicioRepository;

    public function __construct(WebInicioRepository $WebInicioRepository)
    {
        $this->WebInicioRepository = $WebInicioRepository;
    }

    public function checkAndGet(int $WebInicioId): object
    {
        return $this->WebInicioRepository->checkAndGet($WebInicioId);
    }

    public function getAll(): array
    {
        return $this->WebInicioRepository->getAll();
    }

    public function getOne(int $WebInicioId): object
    {
        return $this->checkAndGet($WebInicioId);
    }

    public function create(array $input): object
    {
        $WebInicio = json_decode((string) json_encode($input), false);

        return $this->WebInicioRepository->create($WebInicio);
    }

    public function update(array $input, int $WebInicioId): object
    {
        $WebInicio = $this->checkAndGet($WebInicioId);
        $data = json_decode((string) json_encode($input), false);

        return $this->WebInicioRepository->update($WebInicio, $data);
    }

    public function delete(int $WebInicioId): void
    {
        $this->checkAndGet($WebInicioId);
        $this->WebInicioRepository->delete($WebInicioId);
    }
}
